Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.validator
Class EmptyValidationReport

    java.lang.Object
      org.apache.any23.validator.EmptyValidationReport

All Implemented Interfaces:
  Serializable, ValidationReport

    @XMLValidationReportSerializer.NodeName(value="validationReport")
    public class EmptyValidationReport

extends Object
implements ValidationReport

An implementation of `ValidationReportBuilder` with no data.

Author:
  Davide Palmisano (palmisano@fbk.eu), Michele Mostarda (mostarda@fbk.eu)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.any23.validator.ValidationReport
`ValidationReport.Error, ValidationReport.FixError, ValidationReport.Issue, ValidationReport.IssueLevel, ValidationReport.RuleActivation, ValidationReport.RuleError`

Method Summary
`List<ValidationReport.Error>` | `getErrors()` Returns the list of detected errors.
`static EmptyValidationReport` | `getInstance()`
`List<ValidationReport.Issue>` | `getIssues()` Returns the list of detected issues.
`List<ValidationReport.RuleActivation>` | `getRuleActivations()` Returns the list of activated rules.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static EmptyValidationReport getInstance()

### getIssues

    public List<ValidationReport.Issue> getIssues()

  Description copied from interface: `ValidationReport`
  Returns the list of detected issues.

  Specified by:
    `getIssues` in interface `ValidationReport`
  Returns:
    list of detected issues.

### getRuleActivations

    public List<ValidationReport.RuleActivation> getRuleActivations()

  Description copied from interface: `ValidationReport`
  Returns the list of activated rules.

  Specified by:
    `getRuleActivations` in interface `ValidationReport`
  Returns:
    list of activated rules.

### getErrors

    public List<ValidationReport.Error> getErrors()

  Description copied from interface: `ValidationReport`
  Returns the list of detected errors.

  Specified by:
    `getErrors` in interface `ValidationReport`
  Returns:
    list of detected errors.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.